import java.util.ArrayList;

public class Student {
    private int idStudent;
    private String nameOfStudent;
    private ArrayList<Homework> listOfStudentHomeworks;

    public Student(int idStudent, String nameOfStudent) {
        this.idStudent = idStudent;
        this.nameOfStudent = nameOfStudent;
        this.listOfStudentHomeworks = new ArrayList<Homework>();
    }

    public ArrayList<Homework> getListOfStudentHomeworks() {
        return listOfStudentHomeworks;
    }


    public int getIdStudent() {
     // funkce vrací hodnotu vnitřní proměnné idStudent
        return idStudent;
    }

    public void setIdStudent(int idStudent) {
        // procedura nastaví hodnotu vnitřní proměnné idStudent
        this.idStudent = idStudent;
    }

    public String getNameOfStudent() {
        // funkce vrací hodnotu vnitřní proměnné nameOfStudent
        return nameOfStudent;
    }

    public void setNameOfStudent(String nameOfStudent) {
        // procedura nastaví hodnotu vnitřní proměnné nameOfStudent
        this.nameOfStudent = nameOfStudent;
    }

    public void addHomework (Homework homework)
    {
        // procedura přidá nový úkol (instanci homework typu Homework) ke studentovi do seznamu úkolů ve vnitřní proměnné typu
        // ArrayList<Homework> s názvem listOfStudentHomeworks
        this.listOfStudentHomeworks.add(homework);
    }

    public void deleteHomeworkById (int idDeletedHomework)
    {
        // procedura smaže daný úkol studentovi podle id úkolu (idHomework), které do funkce test posílá
        // v proměnné idDeletedHomework

        for (Homework oneHomework: this.listOfStudentHomeworks)
        {
            if(oneHomework.getIdHomework() == idDeletedHomework)
            {
                this.listOfStudentHomeworks.remove(oneHomework);
                break;
            }
        }
    }



}
